Get shipping methods for an item
curl --request GET \
--url https://prod01.oms.fabric.inc/api/v2/shipping/shippingMethods/{itemId} \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'import requests
url = "https://prod01.oms.fabric.inc/api/v2/shipping/shippingMethods/{itemId}"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://prod01.oms.fabric.inc/api/v2/shipping/shippingMethods/{itemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"shippingMethods": [
{
"name": "Express Delivery",
"description": "Express Delivery 2 - 5 days",
"taxCode": "tax_1",
"minimumDays": 2,
"maximumDays": 5,
"cutOffTime": 1330,
"cost": 20,
"channel": "12",
"createdBy": "User1",
"addressType": "APO",
"shippingMethodId": "5349b4ddd2781d08c09890f4",
"region": "CA",
"deleted": false,
"updatedBy": "User2",
"configuredBy": "User3",
"weight": {
"min": 2,
"max": 3
},
"cartValue": {
"min": 2,
"max": 3
},
"dimension": {
"min": {
"height": 2,
"width": 3,
"length": 4
},
"max": {
"height": 2,
"width": 3,
"length": 4
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"message": "Bad Request"
}{
"message": "ShipMethod Not Found."
}{
"message": "Internal Server Error"
}Shipping Method
Get shipping methods for an item
Gets shipping methods for an item
GET
/
shipping
/
shippingMethods
/
{itemId}
Get shipping methods for an item
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Path Parameters
Item ID
Response
OK
Details of shippng method
Show child attributes
Show child attributes
Was this page helpful?
⌘I
